Album: The Home Stretch
Date: April 22, 2025
Date Added: April 22, 2025
URLs:
- https://open.spotify.com/album/4lheEP51oxkJYMUYl6h8ti
- https://youtube.com/playlist?list=OLAK5uy_nj6pDt_cprHGtRSjFZkz5-jmTvPtDtrgY
Artists:
- Tycoon
Cover Artists:
- Ren
Art Tags:
- Turntables
Cover Art File Extension: png
Wallpaper Style: 'opacity: 0.65;'
Wallpaper File Extension: png
Wallpaper Artists:
- Ren
- Makin (edits for wiki)
Color: '#c972e8'
Groups:
- Fandom
---
Track: Incipient
Duration: 3:40
Referenced Tracks:
- track:sburban-jungle
URLs:
- https://open.spotify.com/track/2BkJICn8dBYkPpigeNnctB
- https://youtu.be/F1-4utEduyQ
---
Track: An Apple A Day
Artists:
- Tycoon
- Cosmoptera
Duration: 2:40
Referenced Tracks:
- track:doctor
URLs:
- https://open.spotify.com/track/6E2kqom9yCWfvCxW6YiJDG
- https://youtu.be/57aMSIB2D9g
---
Track: Rainbow Falls
Duration: 2:25
Referenced Tracks:
- track:aggrieve
- track:black-rose-green-sun
- track:endless-climb
URLs:
- https://open.spotify.com/track/0XValQuqqO7EpMijgkU5jU
- https://youtu.be/B0wXvakVmfg
---
Track: Syncopal Sharpshooter
Duration: 3:22
Referenced Tracks:
- track:frost-vol6
URLs:
- https://open.spotify.com/track/47kzHk262Fbu8XYKfEBdtm
- https://youtu.be/DFJmblOpg9w
---
Track: Don't Mess With The Fabric of Time
Duration: 3:36
Referenced Tracks:
- track:upward-movement-dave-owns
- Candles and Clockwork
URLs:
- https://open.spotify.com/track/0NE6YGu2HrblFKVYnq52q4
- https://youtu.be/mhut_PDR-ag